{
  "dns": {
    "port": 53,
    "upstreamDNS": [
      "223.5.5.5:53",
      "223.6.6.6:53"
    ],
    "timeout": 5000,
    "statsFile": "data/stats.json",
    "saveInterval": 300
  },
  "http": {
    "port": 8080,
    "host": "0.0.0.0",
    "enableAPI": true
  },
  "shield": {
    "localRulesFile": "data/rules.txt",
    "blacklists": [
      {
        "name": "AdGuard DNS filter",
        "url": "https://gitea.amazehome.xyz/AMAZEHOME/hosts-and-filters/raw/branch/main/filter.txt",
        "enabled": true,
        "lastUpdateTime": "2025-11-28T16:13:03.564Z"
      },
      {
        "name": "Adaway Default Blocklist",
        "url": "https://gitea.amazehome.xyz/AMAZEHOME/hosts-and-Filters/raw/branch/main/hosts/adaway.txt",
        "enabled": true,
        "lastUpdateTime": "2025-11-28T15:36:43.086Z"
      },
      {
        "name": "CHN-anti-AD",
        "url": "https://gitea.amazehome.xyz/AMAZEHOME/hosts-and-Filters/raw/branch/main/list/easylist.txt",
        "enabled": true,
        "lastUpdateTime": "2025-11-28T15:26:24.833Z"
      },
      {
        "name": "My GitHub Rules",
        "url": "https://gitea.amazehome.xyz/AMAZEHOME/hosts-and-filters/raw/branch/main/rules/costomize.txt",
        "enabled": true,
        "lastUpdateTime": "2025-11-29T17:05:40.283Z"
      },
      {
        "name": "CNList",
        "url": "https://gitea.amazehome.xyz/AMAZEHOME/hosts-and-filters/raw/branch/main/list/china.list",
        "enabled": false
      },
      {
        "name": "大圣净化",
        "url": "http://gitea.amazehome.xyz/AMAZEHOME/hosts-and-Filters/raw/branch/main/hosts/dsjh.txt",
        "enabled": true
      },
      {
        "name": "Hate \u0026 Junk",
        "url": "http://gitea.amazehome.xyz/AMAZEHOME/hosts-and-filters/raw/branch/main/hate-and-junk-extended.txt",
        "enabled": true
      },
      {
        "name": "My Gitlab Hosts",
        "url": "http://gitea.amazehome.xyz/AMAZEHOME/hosts-and-filters/raw/branch/main/hosts/costomize.txt",
        "enabled": true,
        "lastUpdateTime": "2025-11-29T17:11:28.130Z"
      },
      {
        "name": "Anti Remote Requests",
        "url": "http://gitea.amazehome.xyz/AMAZEHOME/hosts-and-filters/raw/branch/main/hosts/anti-remoterequests.txt",
        "enabled": true
      },
      {
        "name": "URL-Based.txt",
        "url": "http://gitea.amazehome.xyz/AMAZEHOME/hosts-and-filters/raw/branch/main/rules/url-based-adguard.txt",
        "enabled": true
      },
      {
        "name": "My Gitlab A/T Rules",
        "url": "http://gitea.amazehome.xyz/AMAZEHOME/hosts-and-filters/raw/branch/main/rules/ads-and-trackers.txt",
        "enabled": true
      },
      {
        "name": "My Gitlab Malware List",
        "url": "http://gitea.amazehome.xyz/AMAZEHOME/hosts-and-filters/raw/branch/main/rules/malware.txt",
        "enabled": true
      },
      {
        "name": "hosts",
        "url": "http://gitea.amazehome.xyz/AMAZEHOME/hosts-and-Filters/raw/branch/main/hosts/costomize.txt",
        "enabled": true
      },
      {
        "name": "AWAvenue-Ads-Rule",
        "url": "http://gitea.amazehome.xyz/AMAZEHOME/hosts-and-Filters/raw/branch/main/rules/AWAvenue-Ads-Rule.txt",
        "enabled": true
      },
      {
        "name": "诈骗域名",
        "url": "https://gitea.amazehome.xyz/AMAZEHOME/hosts-and-filters/raw/branch/main/rules/cheat.txt",
        "enabled": true
      }
    ],
    "updateInterval": 30,
    "hostsFile": "data/hosts.txt",
    "blockMethod": "NXDOMAIN",
    "customBlockIP": "",
    "statsFile": "./data/shield_stats.json",
    "statsSaveInterval": 60,
    "remoteRulesCacheDir": "data/remote_rules"
  },
  "log": {
    "file": "logs/dns-server.log",
    "level": "debug",
    "maxSize": 100,
    "maxBackups": 10,
    "maxAge": 30
  }
}